# Some nmake macros for NT Win32 building
# this is kept in samples\inc for now

!include <ntwin32.mak>

# This line allows NMAKE to work as well

all: menu.exe

# Update the resource if necessary

res.res: res.rc menu.h menu.dlg checkon.bmp checkoff.bmp menu.ico
    rc -r -fo res.tmp res.rc
    cvtres -i386 res.tmp -o res.res
    del res.tmp

# Update the object file if necessary

menu.obj: menu.c menu.h
    $(cc) $(cflags) $(cvars) menu.c
    cvtomf menu.obj

# Update the executable file if necessary, and if so, add the resource back in.

menu.exe: menu.obj res.res menu.def
    $(link) $(guiflags) -out:menu.exe menu.obj res.res $(guilibs)
